curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/nodeactionlog/{vm_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/nodeactionlog/{vm_id}", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/nodeactionlog/{vm_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter vm_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request for audit logs
Example
<API_KEY>Filter audit logs by location
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the audit log response
object
Identifier of the customer associated with the audit log entry
Timestamp of the audit log entry
The name of the audit log event.
IP address of the client that performed the action
Human-readable description of the audit event
Indicates whether the audit log entry is successful
Email of the user who performed the operation
Type of performer that generated the audit log entry
Name of the performer associated with the audit log entry
object
Result status of the audit operation
Example
{ "code": 200, "data": [ { "customer_id": 12345, "timestamp": "Aug 12, 2025 05:36:05 AM", "event": "RESUME_ALERT", "client_ip": "14.2.3.4", "details": "Trigger: load > 10.0", "status": true, "operation_performed_by": "your_email@example.com", "performer_type": "primary_user", "performer_name": "your_email" } ], "message": "Success"}